@ECHO OFF

SET MSBUILD="C:\Program Files (x86)\Microsoft Visual Studio\2017\Community\MSBuild\15.0\Bin\amd64\MSBuild.exe"
SET SCRIPT_DIR=%~dp0
SET LIB_DIR=%SCRIPT_DIR%lib 
SET INC_DIR=%SCRIPT_DIR%inc
SET BUILD_DIR=%SCRIPT_DIR%\build

SET RELEASE=release

rem echo %SCRIPT_DIR%
rem echo %LIB_DIR%

SETLOCAL enabledelayedexpansion
SETLOCAL enableextensions

if NOT EXIST %BUILD_DIR% (
  MKDIR %BUILD_DIR%   
)

CD %BUILD_DIR%
cmake .. -DCMAKE_INSTALL_PREFIX=.. -DLIB_DIR=%LIB_DIR% -DINC_DIR=%INC_DIR% -DCMAKE_BUILD_TYPE="Debug" -A x64
%MSBUILD% -m /p:Configuration=%RELEASE% example_api.sln
rem %MSBUILD% /P:Configuration=%RELEASE% INSTALL.vcxproj
CD ..
move ".\build\Release\example_api.exe" ".\"